---
title: Set Base Distance Rates
slug: api-documentation/set-base-distance-rates
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "-s8IR95zPR4fYFVakUKMe",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/base-distance-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/base-distance-rate"
      }
    ],
    "name": "Set Base Distance Rates",
    "description": "<p>Set Base Distance Rates.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.create</code></li>\n<li><code>dmc-shipping-calc.update</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "array",
          "description": "",
          "customType": "BaseDistanceRate[]",
          "schema": [
            {
              "name": "siteIds",
              "kind": "required",
              "type": "array",
              "description": "",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "",
              "itemDefault": ""
            },
            {
              "name": "distance",
              "kind": "required",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "weightFactor",
              "kind": "required",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "basicRate",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "premiumRate",
              "kind": "required",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "lowerThresholdBound",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "upperThresholdBound",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "basicFreeLowerThresholdBound",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "lowerPriceBound",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "upperPriceBound",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            },
            {
              "name": "percentageOfSubtotal",
              "kind": "optional",
              "type": "number<double>",
              "description": "",
              "format": "double"
            }
          ],
          "modelRef": "#/components/schemas/BaseDistanceRate",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Base distance rates set successfully",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "201",
        "description": "Base distance rates set successfully",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "mGtt4dzeY3MQVQSx6PYPK",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/base-distance-rate \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --header 'x-upstart-tenant: string' \\\n     --data '[\n     {\n     \"siteIds\": [],\n     \"distance\": \"\",\n     \"weightFactor\": \"\",\n     \"premiumRate\": \"\"\n     }\n     ]'"
        },
        {
          "id": "Y2ErN7RDwXSLLHMKKJPwd",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar raw = JSON.stringify([\n   {\n      \"siteIds\": [],\n      \"distance\": \"\",\n      \"weightFactor\": \"\",\n      \"premiumRate\": \"\"\n   }\n]);\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/base-distance-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "hyMpgrz15ldRS7BEmNWIo",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/base-distance-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\nrequest.body = JSON.dump([\n   {\n      \"siteIds\": [],\n      \"distance\": \"\",\n      \"weightFactor\": \"\",\n      \"premiumRate\": \"\"\n   }\n])\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "oIseSAsY6gdJ5Wv4pdF8I",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/base-distance-rate\"\n\npayload = json.dumps([\n   {\n      \"siteIds\": [],\n      \"distance\": \"\",\n      \"weightFactor\": \"\",\n      \"premiumRate\": \"\"\n   }\n])\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "mGtt4dzeY3MQVQSx6PYPK"
    },
    "results": {
      "languages": [
        {
          "id": "cGXfJO9MO7Go6f92HOpe0",
          "language": "200",
          "code": "// Base distance rates set successfully\n"
        },
        {
          "id": "3HHPhBV73_XLhyyz5daPL",
          "language": "201",
          "code": "// Base distance rates set successfully\n"
        },
        {
          "id": "GK22VbOmKS-_KTcFOYRT2",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\"\n}"
        },
        {
          "id": "gEAlFdQJWgDibxsdZ0Mur",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "cGXfJO9MO7Go6f92HOpe0"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}